package com.itsclicking.clickapp.fluttersocketio;

import android.util.Log;

import com.google.gson.Gson;
import com.google.gson.JsonSyntaxException;
import com.google.gson.reflect.TypeToken;

import java.lang.reflect.Type;
import java.util.HashMap;
import java.util.Map;

public class Utils {

    public static Map<String, String> convertJsonToMap(String json) {
        if (!isNullOrEmpty(json)) {
            Gson gson = new Gson();
            Type dataType = new TypeToken<HashMap<String, String>>(){}.getType();
            try {
                return gson.fromJson(json, dataType);
            } catch (JsonSyntaxException ex) {
                ex.printStackTrace();
                return null;
            }
        }
        return null;
    }

    public static boolean isNullOrEmpty(String text) {
        return text == null || text.trim().length() < 1;
    }

    public static void log(String tag, String text) {
        if (BuildConfig.DEBUG) {
            Log.d("FlutterSocketIOPlugin: " + tag, text);
        }
    }
}
